=== wml_backend/p2_mhc/libutils/bprintf/Makefile ===
--- 
+++ 
@@ -23,11 +23,7 @@
 VERSION = 1.1
 DISTNAME = bprintf-$(VERSION)
 
-CC = gcc
-OPTIMIZE_FLAGS = -O2
-DEBUG_FLAGS = -g
-CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
-LDFLAGS = $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)
+LDFLAGS =
 
 LIB_CSRC = bprintf.c
 LIB_HSRC = bprintf.h
@@ -45,10 +41,13 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
 
 bprintf-test$(EXE): bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)
 	$(CC) $(LDFLAGS) -o $@ bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)
+
+bprintf.o: bprintf.c bprintf.h
+	$(CC) -c -I.. $(CFLAGS) $*.c
 
 ../xmalloc/libxmalloc.a:
 	(cd ../xmalloc; $(MAKE) $(MFLAGS))
