=== wml_backend/p2_mhc/libutils/wisper/Makefile ===
--- 
+++ 
@@ -23,10 +23,6 @@
 VERSION = 1.3
 DISTNAME = wisper-$(VERSION)
 
-CC = gcc
-OPTIMIZE_FLAGS = -O2
-DEBUG_FLAGS = -g
-CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
 INCLUDES = ../regex
 
 LIB_CSRC = wisp.c
@@ -46,7 +42,10 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
+
+wisp.o: wisp.c wisp.h
+	$(CC) -I.. -c $(CFLAGS) $*.c
 
 wisp-test-reader$(EXE): wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)
 	$(CC) $(CFLAGS) -o $@ wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)
