=== wml_backend/p2_mhc/libutils/xmalloc/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 DISTNAME = xmalloc-$(VERSION)
 
 CC = gcc
-OPTIMIZE_FLAGS = -O2
+OPTIMIZE_FLAGS = -O69
 # DEBUG_FLAGS = -g
 CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)
 LDFLAGS = $(CFLAGS)
@@ -48,7 +48,7 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
 
 clean: FORCE
 	$(RM) $(LIB_OBJS) $(TARGETS)
