=== wml_backend/p2_mp4h/packages/WML/Makefile ===

all clean install:
	@:

distclean:
	-rm -f Makefile
