=== debian/changelog ===
wml (2.0.12ds1-9build1) xenial; urgency=medium

  * No-change rebuild for perl 5.22.1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Dec 2015 15:07:49 -0500

wml (2.0.12ds1-9) unstable; urgency=medium

  * Add patch to remove built_user and built_date autoconf-style variables
    from wml.src. This makes the build more reproducible.
  * fix-WML_VERSION-in-manpage.diff: Don't use pod2man in a pipe to let
    pod2man determine the command-name automatically. (Closes: #777469)
  * Update Homepage header to point to new website and debian/copyright to
    point to Git repo at bitbucket.org (which was previously used as
    Homepage header) instead of the no more working download page at
    thewml.org.
  * debian/rules:
    + get-orig-source: Remove -r options from rm calls where not needed.
    + Remove obsolete dh_installchangelogs override. That dh bug is fixed.
  * Revamp debian/copyright:
    + Convert to machine-readable DEP5 format
    + Update Heiko Schlittermann's e-mail address Thanks DUCK!
    + Add http://sourceforge.net/projects/thewml.berlios/files/ to sources
    + Update copyright years of Debian packaging
    + Use Files-Excluded in addition to the get-orig-source target
    + Add proper copyright statements for wml_common/*/.
      - Update Shigio Yamaguchi e-mail address. Thanks DUCK + MetaCPAN!
    + Remove UTF-8 BOM so that lintian recognizes the file as DEP5.

 -- Axel Beckert <abe@debian.org>  Sat, 06 Jun 2015 12:00:00 +0200

wml (2.0.12ds1-8) unstable; urgency=low

  * Add DEP3 patch headers to all patches
  * Extend pass-ldflags-to-wml-gd.diff to also pass CFLAGS and CPPFLAGS
    properly. Fixes build log scanner warning dpkg-buildflags-missing.
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Switch Vcs-Browser header to new cgit web interface and https.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Oct 2014 20:00:55 +0200

wml (2.0.12ds1-7) unstable; urgency=low

  * Add patch by KiBi to remove /tmp/ipp.* directories (Closes: #734507;
    reported by taffit on #debian-www)
  * Bump Standards-Version to 3.9.5 (no other changes)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency accordingly
    + Run dh_auto_configure in wml_common/gd before running it in "."
  * Only unexport build flags where they cause problems, not globally
  * Patch wml_common/gd/Makefile.PL.in to properly pass LDFLAGS
    + Fixes lintian warning hardening-no-relro
  * Override experimental lintian warning package-contains-broken-symlink
    for links from /usr/lib/wml/exec/ to /usr/bin/.
  * Refresh line-number in override for manpage-has-errors-from-man
  * Fix path logo → logos in debian/links
    + Fixes lintian warning package-contains-broken-symlink

 -- Axel Beckert <abe@debian.org>  Sun, 12 Jan 2014 02:17:35 +0100

wml (2.0.12ds1-6) unstable; urgency=low

  * Fix FTBFS with Perl 5.18. (Closes: #719495) Thanks to Salvatore
    Bonaccorso for the patch and Niko Tyni for the report.
  * Add meta-information headers to fix-test-suite-makefile.diff. Fixes
    lintian warning quilt-patch-missing-description.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix some more spelling errors found by lintian.
  * Add patch meta-headers to debian/patches/manpage-fixes.diff
  * Add lintian override for manpage-has-errors-from-man due to overlong
    code example.

 -- Axel Beckert <abe@debian.org>  Tue, 13 Aug 2013 23:07:55 +0200

wml (2.0.12ds1-5) unstable; urgency=low

  * Change build-depedency libgd2-dev to libgd-dev. (It has been renamed
    after the initial announcement and libgd2-dev is now solely a virtual
    package.)
  * Fix test suite failures by properly cleaning up beforehand. For
    unknown reasons cleaning up in debian/rules does not suffice,
    wml_test/Makefile.in had to be patched. (Closes: #718088)

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jul 2013 21:40:06 +0200

wml (2.0.12ds1-4) unstable; urgency=low

  * Update build-depedencies for libgd2-dev transition.
  * Clean up debian/rules
    - Move remaining "ln -vs" call to debian/links
    - Use debian/{clean,docs} instead of dh_{clean,installdocs} parameters
    - Use dh_auto_{configure,build,install,clean}. (Fixes wrong location
      of File::PathConvert(3pm) and WML::GD(3pm) man pages.)
    - Use "find -delete" instead of "find | xargs rm"
    - Remove obsolete chmod call (as dh_fixperms is called afterwards)
    - Also remove .spec.in files before building the .deb
    - Finally switch to a dh7 style debian/rules
  * Fixes the following lintian warnings:
    - vcs-field-not-canonical
    - package-contains-empty-directory
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Mon, 20 May 2013 19:17:13 +0200

wml (2.0.12ds1-3) unstable; urgency=low

  * Fix FTBFS in testsuite on i386 and s390x buildds by not running those
    tests which only seem to work when connected to a terminal. (Closes:
    #675855)

 -- Axel Beckert <abe@debian.org>  Mon, 11 Jun 2012 00:38:03 +0200

wml (2.0.12ds1-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump debhelper compatibility to 8
  * Switch to source format "3.0 (quilt)"
  * Update watch file to also look for releases on new web page
  * Use dh_autotools-dev_*config instead of manually caring about
    config.{sub,guess}
  * Fix lintian warning debian-rules-missing-recommended-target
  * Make clean target clean up more with less lines
  * Add patch to fix broken version number replacing in wml(1) (Closes:
    #652567)
  * Update years in debian/copyright

 -- Axel Beckert <abe@debian.org>  Sun, 03 Jun 2012 01:54:06 +0200

wml (2.0.12ds1-1) experimental; urgency=low

  * New upstream release (Closes: #570240)
  * Fix bashism in debian/rules (Closes: #581460)
  * Update README.source to cover the somehow special get-orig-source
    target to repackage the upstream source code.
  * Refreshed patches
    + Dropped patches against wml_contrib/wmg.cgi and

