=== debian/control ===
Source: wml
Section: web
Priority: optional
Maintainer: Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Standards-Version: 3.9.6
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               eperl,
               freetable,
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libimage-size-perl,
               libpng-dev,
               libterm-readkey-perl,
               linklint,
               m4,
               mp4h,
               perl (>= 5.8.0),
               slice,
               txt2html,
               weblint-perl,
               zlib1g-dev
Homepage: http://www.shlomifish.org/open-source/projects/website-meta-language/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wml/wml.git
Vcs-Git: git://anonscm.debian.org/pkg-wml/wml.git

Package: wml
Architecture: any
Depends: eperl (>= 2.2.14-2),
         libbit-vector-perl,
         libimage-size-perl,
         libterm-readkey-perl,
         m4 (>= 1.4-8),
         mp4h (>= 1.1.1-1),
         slice (>= 1.3.7-0.1),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: iselect (>= 1.2.0-2),
            libhtml-clean-perl (>= 0.7-3),
            linklint,
            tidy (>= 19990415-1),
            txt2html
Suggests: freetable,
          imagemagick,
          libwww-perl,
          shtool (>= 1.5.1-1),
          tardy,
          w3-recs,
          weblint-perl
Description: off-line HTML generation toolkit
 WML (Website META Language) is a free and extensible Webdesigner's
 off-line HTML generation toolkit for Unix.  WML consists of a control
 frontend driving up to nine backends in a sequential pass-oriented
 filtering scheme. Each backend provides one particular core language.
 For maximum power WML additionally ships with a well-suited set of
 include files which provide higher-level features build on top of the
 backends core languages. While not trivial and idiot proof WML provides
 most of the core features real hackers always wanted for HTML
 generation.
