=== debian/watch ===
version=3
opts="dversionmangle=s/ds\d+$//,downloadurlmangle=s/prdownload/download/" \
http://developer.berlios.de/project/showfiles.php?group_id=5225 http://prdownload.berlios.de/thewml/wml-([0-9].*)\.tar.gz	debian	uupdate

opts="dversionmangle=s/ds\d+$//" \
https://bitbucket.org/shlomif/website-meta-language/downloads/wml-(.*).tar.bz2
